<?php
namespace Ak\Fs;

use League\Flysystem\FilesystemInterface;
use Laminas\Hydrator\HydratorInterface;

/**
 * Osnovna implementacija File Loadera.
 *
 * @package Ak\Fs
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/fs
 */
abstract class AbstractFileLoader implements FileLoaderInterface
{
    /** @var FilesystemInterface */
    protected $fs;
    /** @var HydratorInterface */
    protected $hydrator;

    /**
     * Konstruktor.
     *
     * @param FilesystemInterface $fs
     * @param HydratorInterface $hydrator
     */
    public function __construct(FilesystemInterface $fs, HydratorInterface $hydrator)
    {
        $this->fs = $fs;
        $this->hydrator = $hydrator;
    }
}
