<?php
namespace Ak\Fs\Adapter;

use Interop\Container\ContainerInterface;
use League\Flysystem\Adapter\Local;
use League\Flysystem\AdapterInterface;
use Laminas\ServiceManager\Factory\FactoryInterface;

/**
 * Stvara novu instancu Local Filesystem adaptera.
 *
 * @package Ak\Fs\Adapter
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/fs
 */
final class LocalFactory implements FactoryInterface
{
    /**
     * Stvara instancu.
     *
     * @param  ContainerInterface $container
     * @param  string $requestedName
     * @param  null|array $options
     *
     * @return AdapterInterface
     */
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        $options = $options ?? ['root' => ''];
        return new Local($options['root']);
    }
}
