<?php
namespace Ak\Fs;

/**
 * Datoteka.
 *
 * @package Ak\Fs
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/fs
 */
interface FileInterface
{
    /**
     * Vraća sadržaj datoteke.
     *
     * @return string
     */
    public function getContents(): string;

    /**
     * Postavlja novi sadržaj datoteke.
     *
     * @param string $contents
     */
    public function setContents(string $contents): void;

    /**
     * Vraća putanju do datoteke.
     *
     * @return null|string
     */
    public function getPath(): ?string;

    /**
     * Vraća stream ako postoji.
     *
     * @return null|resource
     */
    public function getResource();

    /**
     * Vraća mime-type ove datoteke.
     *
     * @return string
     */
    public function getMimeType(): string;
}