<?php
namespace Ak\Fs;

/**
 * Osnovna datoteka.
 *
 * @package Ak\Fs
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/fs
 */
final class FileLoader extends AbstractFileLoader
{
    /**
     * Vraća učitanu datoteku.
     *
     * @param string $path
     * @return FileInterface
     * @throws \League\Flysystem\FileNotFoundException
     */
    public function load(string $path): FileInterface
    {
        if ($this->fs->has($path)) {
            $stream = $this->fs->readStream($path);
        }

        $file = new File();

        /** @var FileInterface $file */
        $file = $this->hydrator->hydrate([
            'path' => $path,
            'stream' => $stream ?? null,
        ], $file);

        return $file;
    }
}