<?php
namespace Ak\Fs;

/**
 * Upravitelj datotekama.
 *
 * @package Ak\Fs
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/fs
 */
interface FileManagerInterface
{
    /**
     * Briše datoteku s datom putanjom.
     *
     * @param string $path
     */
    public function delete(string $path): void;

    /**
     * Vraća datoteku s datom putanjom.
     *
     * @param string $path
     *
     * @return FileInterface
     */
    public function get(string $path): FileInterface;

    /**
     * Da li datoteka s datom putanjom postoji?
     *
     * @param string $path
     *
     * @return bool
     */
    public function exists(string $path): bool;

    /**
     * Zapisuje datu datoteku.
     *
     * @param FileInterface $file
     */
    public function write(FileInterface $file): void;
}